# Start Streaming Endpoint

**POST** `https://app.mk.io/api/v1/projects/:project_name/media/streamingEndpoints/:endpoint_name/start`

Start a Streaming Endpoint. This operation transitions your Streaming Endpoint into a running state.

**RBAC Capability Required:** `ams.streamingendpoint.start`

## Authentication

**Authorization**: Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- **project_name**: string **Required**  
- **endpoint_name**: string **Required**

## Response

- **200**: OK. The request has succeeded.  
  No response body.

## Errors

- **400**: Bad Request  
  **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) **Required**  
  Pertinent information about the error  
  - **code**: string **Required**  
  - **detail**: string **Required**  
  - **extraDetail**: map from strings to any **Optional**  
    Extra information regarding this error.  
    - **[any key]**: any  
  - **ref**: string **Required**  
  - **status**: integer **Required**

- **401**: Unauthorized  
  **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) **Required**  
  Pertinent information about the error  
  - **code**: string **Required**  
  - **detail**: string **Required**  
  - **extraDetail**: map from strings to any **Optional**  
    Extra information regarding this error.  
    - **[any key]**: any  
  - **ref**: string **Required**  
  - **status**: integer **Required**

- **403**: Forbidden  
  **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) **Required**  
  Pertinent information about the error  
  - **code**: string **Required**  
  - **detail**: string **Required**  
  - **extraDetail**: map from strings to any **Optional**  
    Extra information regarding this error.  
    - **[any key]**: any  
  - **ref**: string **Required**  
  - **status**: integer **Required**

- **404**: Not Found  
  **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) **Required**  
  Pertinent information about the error  
  - **code**: string **Required**  
  - **detail**: string **Required**  
  - **extraDetail**: map from strings to any **Optional**  
    Extra information regarding this error.  
    - **[any key]**: any  
  - **ref**: string **Required**  
  - **status**: integer **Required**

- **429**: Too Many Requests  
  **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) **Required**  
  Pertinent information about the error  
  - **code**: string **Required**  
  - **detail**: string **Required**  
  - **extraDetail**: map from strings to any **Optional**  
    Extra information regarding this error.  
    - **[any key]**: any  
  - **ref**: string **Required**  
  - **status**: integer **Required**

- **500**: Internal Server Error  
  **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) **Required**  
  Pertinent information about the error  
  - **code**: string **Required**  
  - **detail**: string **Required**  
  - **extraDetail**: map from strings to any **Optional**  
    Extra information regarding this error.  
    - **[any key]**: any  
  - **ref**: string **Required**  
  - **status**: integer **Required**
